Subject: [Sip] Recompute the route set for 18x response?

From: pravin salunke <[email-masked]>
Date: Tue, 6 Sep 2005 21:43:57 -0700 (PDT)

RFC 3261 says that -
A UAC, after receiving a 2XX response, MUST recompute 
the route set for the dialog  based on the 2xx
response that is received (section 13.2.2.4).

However this RFC does not tell weather to recompute 
the route set when a provisional response 18x is
received.

Can anybody clarify this doubt 

__________________________________________________
Do You Yahoo!?
Tired of spam?  Yahoo! Mail has the best spam protection around 
http://mail.yahoo.com 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "Jeroen van Bemmel" <[email-masked]>
Date: Wed, 7 Sep 2005 09:07:52 +0200

Section 12.1.2: "When a UAC receives a response that establishes a dialog 
[...]  The route set MUST be set to the list of URIs in the Record-Route 
header field from the response"

A provisional response containing a to-tag also establishes an (early) 
dialog (see 13.2.2.1), so that would imply that the route set should be set. 
It would get updated upon receipt of a 2xx response for the same dialog

Consider the case when a reliable provisional response is received, the 
caller UAC would need the route set to route its PRACK

Regards,

Jeroen